Skip to content
GET /unified/file-storage/drive-items

Partial response — use the "get" endpoint for the full object.

Query Parameters

Refer Specifying query parameters in Truto APIs

parentobject

The parent folder of the drive item

9 supported
Box
supported
Dropbox - Business
supported
Dropbox - Personal
supported
Egnyte
supported
Google
supported
Google Drive
supported
Microsoft 365
supported
OneDrive
supported
SharePoint
supported
idstring

The unique identifier for a folder

namestring

The name of the folder

item_idstring

The unique identifier of an item with type: folder. Lists all the items within the folder.

2 supported
Dropbox - Business
supported
Dropbox - Personal
supported
recursivestring

Whether to fetch the sub folder items recursively

2 supported
Dropbox - Business
supported
Dropbox - Personal
supported
pathstring

The path of the drive item

2 supported
Dropbox - Business
supported
Egnyte
supported
drive_item_idstring
4 supported
Google
supported
Google Drive
supported
Microsoft 365
supported
SharePoint
supported
trashedboolean

Set this value to false to exclude trashed files.

2 supported
Google
supported
Google Drive
supported
tagsobject[]

The tags to filter the files or folders.

4 supported
Google
supported
Google Drive
supported
Microsoft 365
supported
SharePoint
supported
idstring
required·

The unique identifier of the tag.

driveobject

The drive of the drive item

6 supported3 required
Microsoft 365
required
OneDrive
required
SharePoint
required
Egnyte
supported
Google
supported
Google Drive
supported
idstring

The unique identifier for a drive

workspacestring

The unique identifier for the workspace. Only supported when the product is sharepoint.

2 supported
Microsoft 365
supported
SharePoint
supported
productstring

Select the product for which you want to fetch the drive items.

Possible values:
onedrivesharepoint
1 supported1 required
Microsoft 365
required
Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_key_bystring

By default the result attribute is an array of objects. This parameter allows you to specify a field in each result objects to use as key, which transforms the result array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.

Example: id
truto_ignore_limitboolean

Ignores the limit query parameter.

truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

next_cursorstring

The cursor to use for the next page of results. Pass this value as next_cursor in the query parameter in the next request to get the next page of results.

resultobject[]

List of Drive items

idstring
required·

The unique identifier for a drive item

9 supported
Box
supported
Dropbox - Business
supported
Dropbox - Personal
supported
Egnyte
supported
Google
supported
Google Drive
supported
Microsoft 365
supported
OneDrive
supported
SharePoint
supported
created_atstring · date-time

The date and time the drive item was created

6 supported
Egnyte
supported
Google
supported
Google Drive
supported
Microsoft 365
supported
OneDrive
supported
SharePoint
supported
creatorobject

The creator of the drive item

6 supported
Egnyte
supported
Google
supported
Google Drive
supported
Microsoft 365
supported
OneDrive
supported
SharePoint
supported
3 properties
emailsobject[]

The emails of the user

3 properties
emailstring

The email address

is_primaryboolean

Whether the email address is primary

typestring

The type of email address

idstring

The unique identifier for a user

namestring

The name of the user

descriptionstring

The description of the drive item

2 supported
Google
supported
Google Drive
supported
driveobject

The drive of the drive item

6 supported
Egnyte
supported
Google
supported
Google Drive
supported
Microsoft 365
supported
OneDrive
supported
SharePoint
supported
1 property
idstring

The unique identifier for a drive

has_childrenboolean

Whether the drive item has children

8 supported
Box
supported
Dropbox - Business
supported
Dropbox - Personal
supported
Google
supported
Google Drive
supported
Microsoft 365
supported
OneDrive
supported
SharePoint
supported
mime_typestring

The mime type of the drive item

7 supported
Dropbox - Business
supported
Dropbox - Personal
supported
Google
supported
Google Drive
supported
Microsoft 365
supported
OneDrive
supported
SharePoint
supported
namestring

The name of the drive item

9 supported
Box
supported
Dropbox - Business
supported
Dropbox - Personal
supported
Egnyte
supported
Google
supported
Google Drive
supported
Microsoft 365
supported
OneDrive
supported
SharePoint
supported
parentobject

The parent folder of the drive item

9 supported
Box
supported
Dropbox - Business
supported
Dropbox - Personal
supported
Egnyte
supported
Google
supported
Google Drive
supported
Microsoft 365
supported
OneDrive
supported
SharePoint
supported
2 properties
idstring

The unique identifier for a folder

namestring

The name of the folder

pathstring

The path of the drive item

2 supported
Dropbox - Business
supported
Egnyte
supported
public_urlstring

The public URL of the drive item

remote_dataRecord<string, any>

Raw data returned from the remote API call.

sizeinteger

The size of the drive item

8 supported
Dropbox - Business
supported
Dropbox - Personal
supported
Egnyte
supported
Google
supported
Google Drive
supported
Microsoft 365
supported
OneDrive
supported
SharePoint
supported
tagsstring[]

The tags associated with the drive item

4 supported
Google
supported
Google Drive
supported
Microsoft 365
supported
SharePoint
supported
typestring

The type of the drive item

Possible values:
filefolder
9 supported
Box
supported
Dropbox - Business
supported
Dropbox - Personal
supported
Egnyte
supported
Google
supported
Google Drive
supported
Microsoft 365
supported
OneDrive
supported
SharePoint
supported
updated_atstring · date-time

The date and time the drive item was last updated

7 supported
Dropbox - Business
supported
Dropbox - Personal
supported
Google
supported
Google Drive
supported
Microsoft 365
supported
OneDrive
supported
SharePoint
supported
urlsobject[]

The URLs of the drive item

8 supported
Box
supported
Dropbox - Business
supported
Dropbox - Personal
supported
Google
supported
Google Drive
supported
Microsoft 365
supported
OneDrive
supported
SharePoint
supported
2 properties
typestring

The type of the drive item

Possible values:
selfthumbnail
urlstring

The URL of the drive item

curl -X GET 'https://api.truto.one/unified/file-storage/drive-items?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/file-storage/drive-items?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/file-storage/drive-items"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.list(
  'file-storage',
  'driveitems',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    async for item in truto_api.unified_api.list(
        "file-storage",
        "driveitems",
        {"integrated_account_id": "<integrated_account_id>"}
    ):
        print(item)

asyncio.run(main())